syntax = "proto3";

package persontracking;

option java_multiple_files = true;
option java_package = "com.example.carcontroller";
option java_outer_classname = "MotorServiceProto";

message Int32Value{
    int32 value = 1;
}

message Empty{

}

message Point{
    double angle = 1;
    int32 distance = 2;
    int32 group_number = 3;
}

message PointScan{
    repeated Point points = 1;
}

service PersonTracking{
    rpc set_tracking_group(Int32Value) returns (Empty) {}

    rpc stop_tracking(Empty) returns (Empty) {}

    rpc start_tracking(Int32Value) returns (Empty) {}
}